5οΈβ£Customer Verification
Simulates customer verification success
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
customerIdstring Β· uuidRequired
Unique customer ID
Header parameters
SignaturestringRequired
HTTP message signature
Signature-InputstringRequired
HTTP message signature input
Idempotency-Keystring Β· uuidRequired
Idempotency key (UUID)
Responses
202
Successful operation
No content
400
Invalid request
401
Not authorised
404
Customer not found
500
Internal error
patch/simulator/customers/{customerId}/verify
PATCH /v1/simulator/customers/{customerId}/verify HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
No content
Retrieves customer's details
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
customerIdstring Β· uuidRequired
Unique customer ID
Header parameters
SignaturestringRequired
HTTP message signature
Signature-InputstringRequired
HTTP message signature input
Responses
200
Successful operation
application/json
idstring Β· uuidRequired
Unique customer ID
externalIdstringRequired
Unique customer ID in a form of an external ID
chainIdstringRequiredExample:
Unique customer ID in a form of a valid on-chain address. This would normally correspond to customer's EOA wallet address
eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5Bfcdbstatusstring Β· enumRequiredPossible values:
Customer status
createdAtstring Β· date-timeRequired
Date this customer was created (ISO-8601)
updatedAtstring Β· date-timeRequired
Date this customer was updated (ISO-8601)
400
Invalid request
401
Not authorised
404
Customer not found
500
Internal error
get/customers/{customerId}
GET /v1/customers/{customerId} HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalId": "text",
"chainId": "eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5Bfcdb",
"status": "initiating",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}Last updated